datacache <- new.env(hash=TRUE, parent=emptyenv())

gngnf1musammrefseq <- function() showQCData("gngnf1musammrefseq", datacache)
gngnf1musammrefseq_dbconn <- function() dbconn(datacache)
gngnf1musammrefseq_dbfile <- function() dbfile(datacache)
gngnf1musammrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
gngnf1musammrefseq_dbInfo <- function() dbInfo(datacache)

gngnf1musammrefseqORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "gngnf1musammrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "gngnf1musammrefseq", "chip gngnf1musammrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("gngnf1musammrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(gngnf1musammrefseq_dbconn())
}

